(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 14.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     29263,        810]
NotebookOptionsPosition[     25170,        732]
NotebookOutlinePosition[     25569,        748]
CellTagsIndexPosition[     25526,        745]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Multipole expansion", "Chapter",
 CellChangeTimes->{{3.919945630429934*^9, 
  3.919945633300654*^9}},ExpressionUUID->"d3f27469-f0e1-47db-9969-\
4cf0a2b19f5b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Eel", "=", 
  RowBox[{
   FractionBox["q1", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      SuperscriptBox["r", "2"], "+", 
      SuperscriptBox["x1", "2"], "+", 
      RowBox[{"2", " ", "r", " ", "x1", " ", 
       RowBox[{"Cos", "[", "t", "]"}]}]}], "]"}]], "+", 
   FractionBox["q2", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      SuperscriptBox["r", "2"], "+", 
      SuperscriptBox["x2", "2"], "-", 
      RowBox[{"2", " ", "r", " ", "x2", " ", 
       RowBox[{"Cos", "[", "t", "]"}]}]}], "]"}]]}]}]], "Input",
 CellChangeTimes->{{3.9199460308853073`*^9, 3.9199460560468807`*^9}, {
  3.919946168334014*^9, 3.919946176473735*^9}, {3.919948030911704*^9, 
  3.91994805238622*^9}},
 CellLabel->
  "In[1572]:=",ExpressionUUID->"cb678fc8-084f-407b-b1ca-6275de46d8d3"],

Cell[BoxData[
 RowBox[{
  FractionBox["q1", 
   SqrtBox[
    RowBox[{
     SuperscriptBox["r", "2"], "+", 
     SuperscriptBox["x1", "2"], "+", 
     RowBox[{"2", " ", "r", " ", "x1", " ", 
      RowBox[{"Cos", "[", "t", "]"}]}]}]]], "+", 
  FractionBox["q2", 
   SqrtBox[
    RowBox[{
     SuperscriptBox["r", "2"], "+", 
     SuperscriptBox["x2", "2"], "-", 
     RowBox[{"2", " ", "r", " ", "x2", " ", 
      RowBox[{"Cos", "[", "t", "]"}]}]}]]]}]], "Output",
 CellChangeTimes->{
  3.9199459102290707`*^9, 3.919945952102646*^9, 3.919946058883003*^9, 
   3.919946177113494*^9, {3.919948048084015*^9, 3.919948053569716*^9}},
 CellLabel->
  "Out[1572]=",ExpressionUUID->"5da886db-0e58-49d0-8138-5c4d97f4d1ee"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Series", "[", 
   RowBox[{"Eel", ",", 
    RowBox[{"{", 
     RowBox[{"r", ",", "Infinity", ",", "4"}], "}"}]}], "]"}], "//", 
  "Simplify"}]], "Input",
 CellChangeTimes->{{3.9199459118694277`*^9, 3.9199459600656223`*^9}, 
   3.919946066398563*^9, {3.919946109071726*^9, 3.9199461155073957`*^9}, {
   3.919948056156893*^9, 3.919948056602203*^9}, {3.919948307949503*^9, 
   3.919948308110623*^9}},
 CellLabel->
  "In[1574]:=",ExpressionUUID->"b20e695e-b38c-4f30-bbf5-793de454fd6b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   FractionBox[
    RowBox[{"q1", "+", "q2"}], "r"], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "q1"}], " ", "x1"}], "+", 
       RowBox[{"q2", " ", "x2"}]}], ")"}], " ", 
     RowBox[{"Cos", "[", "t", "]"}]}], 
    SuperscriptBox["r", "2"]], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"q1", " ", 
        SuperscriptBox["x1", "2"]}], "+", 
       RowBox[{"q2", " ", 
        SuperscriptBox["x2", "2"]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"3", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"2", " ", "t"}], "]"}]}]}], ")"}]}], 
    RowBox[{"4", " ", 
     SuperscriptBox["r", "3"]}]], "-", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"q1", " ", 
        SuperscriptBox["x1", "3"]}], "-", 
       RowBox[{"q2", " ", 
        SuperscriptBox["x2", "3"]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", 
        RowBox[{"Cos", "[", "t", "]"}]}], "+", 
       RowBox[{"5", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"3", " ", "t"}], "]"}]}]}], ")"}]}], 
    RowBox[{"8", " ", 
     SuperscriptBox["r", "4"]}]], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", 
      FractionBox["1", "r"], "]"}], "5"],
    SeriesData[$CellContext`r, 
     DirectedInfinity[1], {}, 1, 5, 1],
    Editable->False]}],
  SeriesData[$CellContext`r, 
   DirectedInfinity[
   1], {$CellContext`q1 + $CellContext`q2, (-$CellContext`q1 $CellContext`x1 + \
$CellContext`q2 $CellContext`x2) Cos[$CellContext`t], 
    Rational[1, 
      4] ($CellContext`q1 $CellContext`x1^2 + $CellContext`q2 \
$CellContext`x2^2) (1 + 3 Cos[2 $CellContext`t]), 
    Rational[-1, 
      8] ($CellContext`q1 $CellContext`x1^3 - $CellContext`q2 \
$CellContext`x2^3) (3 Cos[$CellContext`t] + 5 Cos[3 $CellContext`t])}, 1, 5, 
   1],
  Editable->False]], "Output",
 CellChangeTimes->{
  3.919945961386797*^9, {3.919946061100369*^9, 3.919946066927968*^9}, {
   3.919946110064939*^9, 3.919946115948*^9}, 3.9199461792552357`*^9, 
   3.919948057343557*^9, 3.9199483086268387`*^9},
 CellLabel->
  "Out[1574]=",ExpressionUUID->"e2753fd9-0819-4488-90e1-4f91bb8bf32e"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["TIPxP water multipole moments", "Chapter",
 CellChangeTimes->{{3.920560627891632*^9, 
  3.920560642830957*^9}},ExpressionUUID->"84e67084-9e36-4abd-861a-\
c2a162cafaf6"],

Cell[CellGroupData[{

Cell["TIP3P", "Section",
 CellChangeTimes->{{3.9205610410744963`*^9, 
  3.920561044396311*^9}},ExpressionUUID->"f500439d-3c25-4d88-b7ad-\
351c8e99886f"],

Cell["Parameters from https://docs.lammps.org/Howto_tip3p.html", "Text",
 CellChangeTimes->{{3.920655152001006*^9, 
  3.920655155202242*^9}},ExpressionUUID->"1bf3120c-d7ab-4576-8af5-\
f326fe2a7d22"],

Cell[CellGroupData[{

Cell["Geometry and charges", "Subsection",
 CellChangeTimes->{{3.920642516446876*^9, 
  3.920642520351919*^9}},ExpressionUUID->"3e2101a5-7a7e-465e-a9de-\
2b77da2cae7c"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"theta", "=", 
   RowBox[{"104.52", " ", 
    FractionBox["Pi", "180"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rOH", "=", "0.9572"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"H1xy", "=", 
   RowBox[{"rOH", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Sin", "[", 
       FractionBox["theta", "2"], "]"}], ",", 
      RowBox[{"Cos", "[", 
       FractionBox["theta", "2"], "]"}], ",", "0"}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"H2xy", "=", 
   RowBox[{"rOH", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"Sin", "[", 
        FractionBox["theta", "2"], "]"}]}], ",", 
      RowBox[{"Cos", "[", 
       FractionBox["theta", "2"], "]"}], ",", "0"}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Oxy", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"qH", "=", "0.417"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"qO", "=", 
   RowBox[{
    RowBox[{"-", "2"}], "qH"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.920560708007283*^9, 3.920560739575304*^9}, {
  3.920560770735299*^9, 3.920560778988799*^9}, {3.920560814729405*^9, 
  3.920560899137928*^9}, {3.920561866156459*^9, 3.920561873425118*^9}, {
  3.920641670334408*^9, 3.920641672526108*^9}, {3.9206424942823477`*^9, 
  3.920642537041675*^9}, {3.920642709788024*^9, 3.920642717256074*^9}},
 CellLabel->
  "In[2911]:=",ExpressionUUID->"dc9bf62f-3669-47ac-bc9c-c5534b66c042"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Dipole moment", "Subsection",
 CellChangeTimes->{{3.920641686024659*^9, 
  3.9206416884853477`*^9}},ExpressionUUID->"78bf4701-6ead-448b-ab51-\
7861ac889931"],

Cell["Compute and convert to Debye", "Text",
 CellChangeTimes->{{3.920641731373136*^9, 
  3.920641736387862*^9}},ExpressionUUID->"48c6349c-c6be-4cc8-b4cf-\
17ded85104b4"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"mu", "=", 
  RowBox[{
   RowBox[{"qO", " ", "Oxy"}], "+", 
   RowBox[{"qH", " ", "H1xy"}], "+", 
   RowBox[{"qH", " ", "H2xy"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"mu", " ", "*", " ", "1.602*^-19", " ", "2.9979*^19", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"e", " ", "in", " ", "Coulombs", " ", "times", " ", 
    RowBox[{"(", 
     RowBox[{"Angstrom", "-", "Coulomb"}], ")"}], " ", "to", " ", "Debye"}], 
   "*)"}]}]}], "Input",
 CellChangeTimes->{{3.920560870323482*^9, 3.920560871343771*^9}, {
  3.920560913426011*^9, 3.920560932892396*^9}, {3.9205609699044747`*^9, 
  3.920561014190484*^9}, {3.920739965711677*^9, 3.920739993788059*^9}},
 CellLabel->
  "In[2918]:=",ExpressionUUID->"523ee228-619e-489e-b33e-8dc4769e79df"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.`", ",", "0.48862581869965804`", ",", "0.`"}], "}"}]], "Output",
 CellChangeTimes->{3.920560939867366*^9, 3.920561015253571*^9, 
  3.920561878203775*^9, 3.92064272371318*^9, 3.921005783549258*^9},
 CellLabel->
  "Out[2918]=",ExpressionUUID->"426143b0-3ed8-4305-90b8-c8b139b510ca"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.`", ",", "2.346691849691287`", ",", "0.`"}], "}"}]], "Output",
 CellChangeTimes->{3.920560939867366*^9, 3.920561015253571*^9, 
  3.920561878203775*^9, 3.92064272371318*^9, 3.921005783648213*^9},
 CellLabel->
  "Out[2919]=",ExpressionUUID->"5370da99-90ae-4850-a590-f8b063003b95"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Quadrupole moment", "Subsection",
 CellChangeTimes->{{3.9206416920457573`*^9, 
  3.92064169495293*^9}},ExpressionUUID->"ce41c9ed-8176-41bc-830f-\
9ef79f2ce46e"],

Cell[TextData[{
 "Transpose[{H1xy}] . {H1xy} gives the dyad  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox[
     StyleBox["r",
      FontWeight->"Bold",
      FontSlant->"Plain"], "H"], 
    SubscriptBox[
     StyleBox["r",
      FontWeight->"Bold",
      FontSlant->"Plain"], "H"]}], TraditionalForm]],
  FormatType->TraditionalForm,ExpressionUUID->
  "430de8a5-7f64-47b3-a08b-d383d37c9993"],
 ", a 3x3 matrix"
}], "Text",
 CellChangeTimes->{{3.9206425831322117`*^9, 3.920642610244235*^9}, {
  3.920642678455491*^9, 3.920642696711669*^9}, {3.9206427280837097`*^9, 
  3.9206427294628687`*^9}},ExpressionUUID->"5dc86537-347c-40f1-857c-\
a095ec1bac10"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Q", "=", 
   RowBox[{
    RowBox[{"qO", " ", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", "Oxy", "}"}], "]"}], ".", 
      RowBox[{"{", "Oxy", "}"}]}]}], " ", "+", 
    RowBox[{"qH", " ", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", "H1xy", "}"}], "]"}], ".", 
      RowBox[{"{", "H1xy", "}"}]}]}], "+", 
    RowBox[{"qH", " ", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", "H2xy", "}"}], "]"}], ".", 
      RowBox[{"{", "H2xy", "}"}]}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Q", "//", "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d", "=", 
   RowBox[{
    FractionBox["1", "3"], " ", "2", "qH", " ", 
    SuperscriptBox["rOH", "2"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Q", "=", 
   RowBox[{
    FractionBox["3", "2"], 
    RowBox[{"(", 
     RowBox[{"Q", "-", 
      RowBox[{"d", "*", " ", 
       RowBox[{"IdentityMatrix", "[", "3", "]"}]}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{"Q", "=", 
    RowBox[{"Q", " ", "1.602*^-19", " ", "2.9979*^19"}]}], 
   ";"}]}], "\[IndentingNewLine]", 
 RowBox[{"Q", "//", "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tr", "[", "Q", "]"}], "//", "Chop"}], "\[IndentingNewLine]", 
 RowBox[{"Eigenvalues", "[", "Q", "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.9205652566623383`*^9, 3.9205652585433197`*^9}, {
  3.9205653202123117`*^9, 3.920565382698948*^9}, {3.9205654223499393`*^9, 
  3.920565437010099*^9}, {3.920565474666436*^9, 3.920565489372652*^9}, {
  3.920565942241016*^9, 3.920566038009283*^9}, {3.920642734603772*^9, 
  3.920642746169983*^9}, {3.92064281327522*^9, 3.920642818710176*^9}, {
  3.9206428807372417`*^9, 3.920642880900568*^9}, {3.920643015405198*^9, 
  3.920643018615896*^9}, {3.920643065901513*^9, 3.920643134722705*^9}, {
  3.920653744020186*^9, 3.920653749452284*^9}, {3.920655097821547*^9, 
  3.920655103655794*^9}},
 CellLabel->
  "In[2261]:=",ExpressionUUID->"f845afca-ca7d-4a77-8dca-8c56340a82e7"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.5958927498623463`", "0.`", "0.`"},
     {"0.`", "0.3569883637376539`", "0.`"},
     {"0.`", "0.`", "0.`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.920565375205645*^9, {3.920565428669361*^9, 3.920565437530675*^9}, {
   3.920565478030491*^9, 3.92056549038533*^9}, {3.9205659936091557`*^9, 
   3.9205660391508913`*^9}, {3.9206428749537697`*^9, 3.920642881364236*^9}, 
   3.920643019029704*^9, {3.9206430687551117`*^9, 3.9206431361481743`*^9}, 
   3.920653754432379*^9, 3.920655104834309*^9},
 CellLabel->
  "Out[2262]//MatrixForm=",ExpressionUUID->"94d1bfa8-00c2-4fb0-b9bb-\
dc4badfe3f7f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"2.0046133055144106`", "0.`", "0.`"},
     {"0.`", "0.2835571691452042`", "0.`"},
     {"0.`", "0.`", 
      RowBox[{"-", "2.2881704746596134`"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.920565375205645*^9, {3.920565428669361*^9, 3.920565437530675*^9}, {
   3.920565478030491*^9, 3.92056549038533*^9}, {3.9205659936091557`*^9, 
   3.9205660391508913`*^9}, {3.9206428749537697`*^9, 3.920642881364236*^9}, 
   3.920643019029704*^9, {3.9206430687551117`*^9, 3.9206431361481743`*^9}, 
   3.920653754432379*^9, 3.9206551049125853`*^9},
 CellLabel->
  "Out[2266]//MatrixForm=",ExpressionUUID->"a9c5092c-fc9b-4173-9b08-\
da3a1185fff7"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.920565375205645*^9, {3.920565428669361*^9, 3.920565437530675*^9}, {
   3.920565478030491*^9, 3.92056549038533*^9}, {3.9205659936091557`*^9, 
   3.9205660391508913`*^9}, {3.9206428749537697`*^9, 3.920642881364236*^9}, 
   3.920643019029704*^9, {3.9206430687551117`*^9, 3.9206431361481743`*^9}, 
   3.920653754432379*^9, 3.920655104964878*^9},
 CellLabel->
  "Out[2267]=",ExpressionUUID->"ecf4bb8e-e91d-469c-903e-52ea69af29ba"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "2.2881704746596134`"}], ",", "2.0046133055144106`", ",", 
   "0.2835571691452042`"}], "}"}]], "Output",
 CellChangeTimes->{
  3.920565375205645*^9, {3.920565428669361*^9, 3.920565437530675*^9}, {
   3.920565478030491*^9, 3.92056549038533*^9}, {3.9205659936091557`*^9, 
   3.9205660391508913`*^9}, {3.9206428749537697`*^9, 3.920642881364236*^9}, 
   3.920643019029704*^9, {3.9206430687551117`*^9, 3.9206431361481743`*^9}, 
   3.920653754432379*^9, 3.920655105012958*^9},
 CellLabel->
  "Out[2268]=",ExpressionUUID->"9301b3fa-449d-4f8c-9882-8329a5e3248c"]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["TIP4P", "Section",
 CellChangeTimes->{{3.9205610410744963`*^9, 
  3.9205610523427763`*^9}},ExpressionUUID->"b8551a0d-9e40-4c34-841e-\
c09824da422b"],

Cell["\<\
TIP4P (original) parameters from https://docs.lammps.org/Howto_tip4p.html\
\>", "Text",
 CellChangeTimes->{{3.9206545890606537`*^9, 
  3.920654612531217*^9}},ExpressionUUID->"1f4aac84-fff0-4c11-bcc3-\
d0b5248cbf0f"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"theta", "=", 
   RowBox[{"104.52", " ", 
    FractionBox["Pi", "180"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rOH", "=", "0.9572"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"H1xy", "=", 
   RowBox[{"rOH", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Sin", "[", 
       FractionBox["theta", "2"], "]"}], ",", 
      RowBox[{"Cos", "[", 
       FractionBox["theta", "2"], "]"}], ",", "0"}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"H2xy", "=", 
   RowBox[{"rOH", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"Sin", "[", 
        FractionBox["theta", "2"], "]"}]}], ",", 
      RowBox[{"Cos", "[", 
       FractionBox["theta", "2"], "]"}], ",", "0"}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Oxy", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mxy", "=", 
   RowBox[{"{", " ", 
    RowBox[{"0", ",", "0.15", ",", "0"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"qH", "=", "0.520"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"qO", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"qM", "=", 
   RowBox[{
    RowBox[{"-", "2"}], "qH"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.9205607080072823`*^9, 3.920560739575304*^9}, {
   3.920560770735299*^9, 3.920560778988799*^9}, {3.920560814729405*^9, 
   3.920560899137928*^9}, {3.920561075110203*^9, 3.920561127435669*^9}, {
   3.920561680342393*^9, 3.920561694567008*^9}, {3.9205617829971333`*^9, 
   3.920561795383045*^9}, {3.9205618448578157`*^9, 3.9205618542331743`*^9}, {
   3.920654015218379*^9, 3.9206540245286827`*^9}, 3.920654118194759*^9, {
   3.920654150670882*^9, 3.920654162039763*^9}, {3.9206542249622087`*^9, 
   3.920654256745812*^9}, {3.920654351810751*^9, 3.9206543602207527`*^9}, 
   3.920654408012224*^9, 3.920654458124295*^9},
 CellLabel->
  "In[2220]:=",ExpressionUUID->"ad619b4a-4230-409d-ba5a-4a05fa8ea4bb"],

Cell[CellGroupData[{

Cell["Dipole moment", "Subsection",
 CellChangeTimes->{{3.920560677542409*^9, 3.9205606933779593`*^9}, 
   3.920560734849625*^9, {3.920642385955427*^9, 
   3.920642391094644*^9}},ExpressionUUID->"a8966f72-586e-4b1c-b58f-\
6b25471bcd7f"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"mu", "=", 
  RowBox[{
   RowBox[{"qO", " ", "Oxy"}], "+", 
   RowBox[{"qH", " ", "H1xy"}], "+", 
   RowBox[{"qH", " ", "H2xy"}], "+", 
   RowBox[{"qM", " ", "Mxy"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"mu", " ", "*", " ", "1.602*^-19", " ", "2.9979*^19"}]}], "Input",
 CellChangeTimes->{{3.920560870323482*^9, 3.920560871343771*^9}, {
  3.920560913426011*^9, 3.920560932892396*^9}, {3.9205609699044743`*^9, 
  3.920561014190484*^9}, {3.920561133368753*^9, 3.9205611378040037`*^9}},
 CellLabel->
  "In[2229]:=",ExpressionUUID->"606da91f-c479-4ce2-b437-20b327660f5c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.`", ",", "0.4533175676830269`", ",", "0.`"}], "}"}]], "Output",
 CellChangeTimes->{
  3.920560939867366*^9, 3.920561015253571*^9, {3.920561139765534*^9, 
   3.920561145318007*^9}, 3.9205616979666157`*^9, 3.920561798755507*^9, 
   3.9205618606998453`*^9, 3.920654082816338*^9, 3.920654259845951*^9, 
   3.92065441515292*^9, {3.920654451789742*^9, 3.92065446376781*^9}, 
   3.92065463618336*^9},
 CellLabel->
  "Out[2229]=",ExpressionUUID->"79cd33ae-a9fa-494d-9375-7bca5795d42c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.`", ",", "2.177119179323428`", ",", "0.`"}], "}"}]], "Output",
 CellChangeTimes->{
  3.920560939867366*^9, 3.920561015253571*^9, {3.920561139765534*^9, 
   3.920561145318007*^9}, 3.9205616979666157`*^9, 3.920561798755507*^9, 
   3.9205618606998453`*^9, 3.920654082816338*^9, 3.920654259845951*^9, 
   3.92065441515292*^9, {3.920654451789742*^9, 3.92065446376781*^9}, 
   3.920654636254004*^9},
 CellLabel->
  "Out[2230]=",ExpressionUUID->"84a000f1-0677-4547-b15e-83d36c060e36"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Quadrupole moment", "Subsection",
 CellChangeTimes->{{3.920642394245989*^9, 
  3.920642396984123*^9}},ExpressionUUID->"fa467194-0274-4dc0-9b53-\
5f2fe599a377"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Q", "=", 
   RowBox[{
    RowBox[{"qM", " ", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", "Mxy", "}"}], "]"}], ".", 
      RowBox[{"{", "Mxy", "}"}]}]}], " ", "+", 
    RowBox[{"qH", " ", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", "H1xy", "}"}], "]"}], ".", 
      RowBox[{"{", "H1xy", "}"}]}]}], "+", 
    RowBox[{"qH", " ", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", "H2xy", "}"}], "]"}], ".", 
      RowBox[{"{", "H2xy", "}"}]}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Q", "//", "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d", "=", 
   RowBox[{
    FractionBox["1", "3"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", "qH", " ", 
       SuperscriptBox["rOH", "2"]}], " ", "+", " ", 
      RowBox[{"qM", " ", 
       SuperscriptBox[
        RowBox[{"Mxy", "[", 
         RowBox[{"[", "2", "]"}], "]"}], "2"]}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Q", "=", 
   RowBox[{
    FractionBox["3", "2"], 
    RowBox[{"(", 
     RowBox[{"Q", "-", 
      RowBox[{"d", "*", " ", 
       RowBox[{"IdentityMatrix", "[", "3", "]"}]}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{"Q", "=", 
    RowBox[{"Q", " ", "1.602*^-19", " ", "2.9979*^19"}]}], 
   ";"}]}], "\[IndentingNewLine]", 
 RowBox[{"Q", "//", "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tr", "[", "Q", "]"}], "//", "Chop"}], "\[IndentingNewLine]", 
 RowBox[{"Eigensystem", "[", "Q", "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.920565600294764*^9, 3.920565603111875*^9}, {
   3.9206539535234833`*^9, 3.920653953835038*^9}, 3.9206540053159857`*^9, {
   3.920654668371827*^9, 3.9206546699280453`*^9}, {3.920654732944694*^9, 
   3.920654793977643*^9}},
 CellLabel->
  "In[2253]:=",ExpressionUUID->"cada4638-57bb-4871-a94e-971accfd62be"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.5958927498623463`", "0.`", "0.`"},
     {"0.`", "0.3335883637376539`", "0.`"},
     {"0.`", "0.`", "0.`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.920565604559392*^9, 3.920565618861689*^9}, {
   3.920654008671612*^9, 3.920654037498475*^9}, 3.920654264043379*^9, 
   3.9206544659582233`*^9, 3.920654638392301*^9, 3.92065467028613*^9, 
   3.920654750737239*^9, 3.920654795043373*^9},
 CellLabel->
  "Out[2254]//MatrixForm=",ExpressionUUID->"15e047bf-21d0-4e4c-8aa0-\
087cc220f97b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"2.0608041443744107`", "0.`", "0.`"},
     {"0.`", "0.17117549142520375`", "0.`"},
     {"0.`", "0.`", 
      RowBox[{"-", "2.231979635799614`"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.920565604559392*^9, 3.920565618861689*^9}, {
   3.920654008671612*^9, 3.920654037498475*^9}, 3.920654264043379*^9, 
   3.9206544659582233`*^9, 3.920654638392301*^9, 3.92065467028613*^9, 
   3.920654750737239*^9, 3.920654795112756*^9},
 CellLabel->
  "Out[2258]//MatrixForm=",ExpressionUUID->"e7f3b389-e1cf-42de-9d24-\
c01a640f3697"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.920565604559392*^9, 3.920565618861689*^9}, {
   3.920654008671612*^9, 3.920654037498475*^9}, 3.920654264043379*^9, 
   3.9206544659582233`*^9, 3.920654638392301*^9, 3.92065467028613*^9, 
   3.920654750737239*^9, 3.920654795164729*^9},
 CellLabel->
  "Out[2259]=",ExpressionUUID->"758eae4f-9411-4233-aab3-dad8d7b2eeef"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "2.231979635799614`"}], ",", "2.0608041443744107`", ",", 
     "0.17117549142520375`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.`", ",", "0.`", ",", "1.`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1.`", ",", "0.`", ",", "0.`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.`", ",", "1.`", ",", "0.`"}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.920565604559392*^9, 3.920565618861689*^9}, {
   3.920654008671612*^9, 3.920654037498475*^9}, 3.920654264043379*^9, 
   3.9206544659582233`*^9, 3.920654638392301*^9, 3.92065467028613*^9, 
   3.920654750737239*^9, 3.920654795214821*^9},
 CellLabel->
  "Out[2260]=",ExpressionUUID->"00b73565-f0fb-42c9-af04-659239bfa332"]
}, Open  ]]
}, Open  ]]
}, Closed]]
}, Closed]]
},
WindowSize->{808, 1000},
WindowMargins->{{Automatic, 153}, {18, Automatic}},
FrontEndVersion->"14.0 for Mac OS X x86 (64-bit) (December 12, 2023)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"72abc838-67ee-47d6-bb18-02953f5d61b3"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 164, 3, 69, "Chapter",ExpressionUUID->"d3f27469-f0e1-47db-9969-4cf0a2b19f5b"],
Cell[CellGroupData[{
Cell[769, 29, 789, 21, 53, "Input",ExpressionUUID->"cb678fc8-084f-407b-b1ca-6275de46d8d3"],
Cell[1561, 52, 709, 20, 56, "Output",ExpressionUUID->"5da886db-0e58-49d0-8138-5c4d97f4d1ee"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2307, 77, 515, 12, 30, "Input",ExpressionUUID->"b20e695e-b38c-4f30-bbf5-793de454fd6b"],
Cell[2825, 91, 2295, 70, 102, "Output",ExpressionUUID->"e2753fd9-0819-4488-90e1-4f91bb8bf32e"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[5169, 167, 174, 3, 58, "Chapter",ExpressionUUID->"84e67084-9e36-4abd-861a-c2a162cafaf6"],
Cell[CellGroupData[{
Cell[5368, 174, 152, 3, 67, "Section",ExpressionUUID->"f500439d-3c25-4d88-b7ad-351c8e99886f"],
Cell[5523, 179, 198, 3, 35, "Text",ExpressionUUID->"1bf3120c-d7ab-4576-8af5-f326fe2a7d22"],
Cell[CellGroupData[{
Cell[5746, 186, 168, 3, 54, "Subsection",ExpressionUUID->"3e2101a5-7a7e-465e-a9de-2b77da2cae7c"],
Cell[5917, 191, 1549, 45, 213, "Input",ExpressionUUID->"dc9bf62f-3669-47ac-bc9c-c5534b66c042"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7503, 241, 163, 3, 54, "Subsection",ExpressionUUID->"78bf4701-6ead-448b-ab51-7861ac889931"],
Cell[7669, 246, 170, 3, 35, "Text",ExpressionUUID->"48c6349c-c6be-4cc8-b4cf-17ded85104b4"],
Cell[CellGroupData[{
Cell[7864, 253, 752, 16, 52, "Input",ExpressionUUID->"523ee228-619e-489e-b33e-8dc4769e79df"],
Cell[8619, 271, 322, 6, 48, "Output",ExpressionUUID->"426143b0-3ed8-4305-90b8-c8b139b510ca"],
Cell[8944, 279, 320, 6, 48, "Output",ExpressionUUID->"5370da99-90ae-4850-a590-f8b063003b95"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[9313, 291, 166, 3, 54, "Subsection",ExpressionUUID->"ce41c9ed-8176-41bc-830f-9ef79f2ce46e"],
Cell[9482, 296, 662, 20, 35, "Text",ExpressionUUID->"5dc86537-347c-40f1-857c-a095ec1bac10"],
Cell[CellGroupData[{
Cell[10169, 320, 2090, 53, 235, "Input",ExpressionUUID->"f845afca-ca7d-4a77-8dca-8c56340a82e7"],
Cell[12262, 375, 1028, 25, 79, "Output",ExpressionUUID->"94d1bfa8-00c2-4fb0-b9bb-dc4badfe3f7f"],
Cell[13293, 402, 1068, 26, 79, "Output",ExpressionUUID->"a9c5092c-fc9b-4173-9b08-da3a1185fff7"],
Cell[14364, 430, 478, 8, 48, "Output",ExpressionUUID->"ecf4bb8e-e91d-469c-903e-52ea69af29ba"],
Cell[14845, 440, 610, 12, 48, "Output",ExpressionUUID->"9301b3fa-449d-4f8c-9882-8329a5e3248c"]
}, Open  ]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[15516, 459, 154, 3, 53, "Section",ExpressionUUID->"b8551a0d-9e40-4c34-841e-c09824da422b"],
Cell[15673, 464, 225, 5, 35, "Text",ExpressionUUID->"1f4aac84-fff0-4c11-bcc3-d0b5248cbf0f"],
Cell[15901, 471, 2040, 56, 255, "Input",ExpressionUUID->"ad619b4a-4230-409d-ba5a-4a05fa8ea4bb"],
Cell[CellGroupData[{
Cell[17966, 531, 236, 4, 54, "Subsection",ExpressionUUID->"a8966f72-586e-4b1c-b58f-6b25471bcd7f"],
Cell[CellGroupData[{
Cell[18227, 539, 592, 12, 52, "Input",ExpressionUUID->"606da91f-c479-4ce2-b437-20b327660f5c"],
Cell[18822, 553, 519, 10, 48, "Output",ExpressionUUID->"79cd33ae-a9fa-494d-9375-7bca5795d42c"],
Cell[19344, 565, 519, 10, 48, "Output",ExpressionUUID->"84a000f1-0677-4547-b15e-83d36c060e36"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[19912, 581, 165, 3, 54, "Subsection",ExpressionUUID->"fa467194-0274-4dc0-9b53-5f2fe599a377"],
Cell[CellGroupData[{
Cell[20102, 588, 1936, 56, 256, "Input",ExpressionUUID->"cada4638-57bb-4871-a94e-971accfd62be"],
Cell[22041, 646, 919, 23, 79, "Output",ExpressionUUID->"15e047bf-21d0-4e4c-8aa0-087cc220f97b"],
Cell[22963, 671, 957, 24, 79, "Output",ExpressionUUID->"e7f3b389-e1cf-42de-9d24-c01a640f3697"],
Cell[23923, 697, 369, 6, 48, "Output",ExpressionUUID->"758eae4f-9411-4233-aab3-dad8d7b2eeef"],
Cell[24295, 705, 823, 21, 48, "Output",ExpressionUUID->"00b73565-f0fb-42c9-af04-659239bfa332"]
}, Open  ]]
}, Open  ]]
}, Closed]]
}, Closed]]
}
]
*)

